#!/bin/bash

arch=$1
distrib=Mageia
version=2
homebcd=/home/bcd/build_bcd
bin=$homebcd/bcd
pieces=$homebcd/pieces/iso
build=$homebcd/build/$distrib-$version-$arch

$bin/bcd.pl dvd_free-$arch.xml all noiso

cp -af $pieces/hdt.c32 $build/$arch/isolinux
cp -af $pieces/message $build/$arch/isolinux/bootlogo

rm -f $build/$arch/install/images/*nonfree*

$bin/bcd.pl dvd_free-$arch.xml iso
